<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
  /**
   * Seed the application's database.
   */
  public function run(): void
  {
    // $this->call([
    //   \Database\Seeders\Initial\BudgetSeeder::class,
    // ]);
    // return;

    $this->call([
      \Database\Seeders\BankSeeder::class,
      \Database\Seeders\UserSeeder::class,
    ]);

    if (env('APP_ENV') == 'local') {
      $this->call([
        \Database\Seeders\Initial\UnitTypeSeeder::class,
        \Database\Seeders\Initial\CategorySeeder::class,
        \Database\Seeders\Initial\BudgetSeeder::class,
      ]);
    }

    // $this->call(ConfigurationSeeder::class);
  }
}
